For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewDIME UtilityTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewDIME UtilityTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
        • GETGet JWKS
        • GETCheck onboarding status
        • POSTOnboarding
        • POSTEVM Get JWT
        • POSTEVM Onboarding
  • Testnet API Reference
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Production API ReferenceAuthentication

Onboarding

POST
https://api.prod.paradex.trade/v1/onboarding
POST
/v1/onboarding
$curl -X POST https://api.prod.paradex.trade/v1/onboarding \
> -H 'Content-Type: application/json' \
> -H 'Accept: application/json' \
> -H 'PARADEX-ETHEREUM-ACCOUNT: string' \
> -H 'PARADEX-STARKNET-ACCOUNT: string' \
> -H 'PARADEX-STARKNET-SIGNATURE: string'
1{}
Onboarding verifies that the caller owns the StarkNet address and enters them into the database. This call is idempotent.
Was this page helpful?
Previous

EVM Get JWT

Next
Built with

Headers

PARADEX-ETHEREUM-ACCOUNTstringRequired
Ethereum account used to onboard
PARADEX-STARKNET-ACCOUNTstringRequired
Starknet address
PARADEX-STARKNET-SIGNATUREstringRequired
Starknet signature

Request

Onboarding user public_key and optional referral_code or marketing_code

marketing_codestringOptional
Marketing code of the campaign the user is being onboarded via.
portfolio_marginbooleanOptional
When true, the new account is onboarded directly into Portfolio Margin mode. Only valid for main accounts and subaccounts.
public_keystringOptional
Public key of the user being onboarded.
referral_codestringOptional
Referral code of the user who referred the user being onboarded.
utmobjectOptional

UTM tracking parameters (optional).

Response

An empty response

Errors

400
Bad Request Error
401
Unauthorized Error